package org.akhal.example.buttonanimation;

import android.content.Context;
import android.support.v7.app.AppCompatActivity;
import android.os.Bundle;
import android.view.View;
import android.view.animation.Animation;
import android.view.animation.AnimationUtils;
import android.widget.ImageButton;

public class MainActivity extends AppCompatActivity {

    private Animation bounceAnimation;
    private Context context;

    @Override
    protected void onCreate(Bundle savedInstanceState) {
        super.onCreate(savedInstanceState);
        setContentView(R.layout.activity_main);

        bounceAnimation = AnimationUtils.loadAnimation(this, R.anim.bounce);
        QBounceInterpolator interpolator = new QBounceInterpolator(0.2, 20);
        bounceAnimation.setInterpolator(interpolator);

        final ImageButton imageButton = findViewById(R.id.ibtn_book);
        imageButton.setOnClickListener(new View.OnClickListener() {
            @Override
            public void onClick(View v) {
                imageButton.startAnimation(bounceAnimation);
            }
        });

        imageButton.startAnimation(bounceAnimation);
    }
}
